<template>
  <div>
    <v-expansion-panels accordion>
      <v-expansion-panel>
        <v-expansion-panel-header>Disciplina</v-expansion-panel-header>
        <v-expansion-panel-content>
          <template v-for="(disciplina, index) in disciplinas">
            <disciplina :key="index" :data="disciplina" />
          </template>
        </v-expansion-panel-content>
      </v-expansion-panel>

      <v-expansion-panel>
        <v-expansion-panel-header>Semaforo</v-expansion-panel-header>
        <v-expansion-panel-content>
          <semaforo bar-size="150" :data="semaforo" />
        </v-expansion-panel-content>
      </v-expansion-panel>

      <v-expansion-panel>
        <v-expansion-panel-header
          >Calificación Promedio</v-expansion-panel-header
        >
        <v-expansion-panel-content>
          <odometro :data="calificacionPromedio" />
        </v-expansion-panel-content>
      </v-expansion-panel>

      <v-expansion-panel>
        <v-expansion-panel-header
          >Porcentaje de Puntos de Venta Aprobados</v-expansion-panel-header
        >
        <v-expansion-panel-content>
          <odometro :data="porcentajePuntosVentaAprobados" />
        </v-expansion-panel-content>
      </v-expansion-panel>

      <v-expansion-panel>
        <v-expansion-panel-header
          >Nivel de Cumplimiento</v-expansion-panel-header
        >
        <v-expansion-panel-content>
          <nivel-cumplimiento :data="nivelCumplimiento" />
        </v-expansion-panel-content>
      </v-expansion-panel>

      <v-expansion-panel>
        <v-expansion-panel-header
          >Calificación Geografia</v-expansion-panel-header
        >
        <v-expansion-panel-content>
          <calificacion-geografia :data="calificacionGeografia" />
        </v-expansion-panel-content>
      </v-expansion-panel>

      <v-expansion-panel>
        <v-expansion-panel-header
          >Puntos de Venta Aprobados por Geografia</v-expansion-panel-header
        >
        <v-expansion-panel-content>
          <puntos-venta-aprobados :data="puntosVentaAprobadosGeografia" />
        </v-expansion-panel-content>
      </v-expansion-panel>

      <v-expansion-panel>
        <v-expansion-panel-header
          >Calificación Geografia Generico</v-expansion-panel-header
        >
        <v-expansion-panel-content>
          <calificacion-geografia :data="calificacionGeografiaGenerico" />
        </v-expansion-panel-content>
      </v-expansion-panel>

      <v-expansion-panel>
        <v-expansion-panel-header
          >Puntos de Venta Aprobados por Geografia
          Generico</v-expansion-panel-header
        >
        <v-expansion-panel-content>
          <puntos-venta-aprobados
            :data="puntosVentaAprobadosGeografiaGenerico"
          />
        </v-expansion-panel-content>
      </v-expansion-panel>

      <v-expansion-panel>
        <v-expansion-panel-header
          >Top de Incumplimientos por Negocios</v-expansion-panel-header
        >
        <v-expansion-panel-content>
          <incumplimientos-negocio :data="incumplimientosNegocio" />
        </v-expansion-panel-content>
      </v-expansion-panel>

      <v-expansion-panel>
        <v-expansion-panel-header
          >Top de Incumplimientos</v-expansion-panel-header
        >
        <v-expansion-panel-content>
          <incumplimientos :data="incumplimientos" />
        </v-expansion-panel-content>
      </v-expansion-panel>

      <v-expansion-panel>
        <v-expansion-panel-header
          >Top 3 de Incumplimientos por Sección
          Responsable</v-expansion-panel-header
        >
        <v-expansion-panel-content>
          <incumplimientos-seccion-responsable
            :data="incumplimientosSeccionResponsable"
          />
        </v-expansion-panel-content>
      </v-expansion-panel>

      <v-expansion-panel>
        <v-expansion-panel-header>Imperdonables</v-expansion-panel-header>
        <v-expansion-panel-content>
          <imperdonables :data="imperdonables" />
        </v-expansion-panel-content>
      </v-expansion-panel>
    </v-expansion-panels>
  </div>
</template>
<script>
import Disciplina from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/Disciplina.vue";
import Semaforo from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/Semaforo.vue";
import Incumplimientos from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/Incumplimientos.vue";
import IncumplimientosNegocio from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/IncumplimientosNegocio.vue";
import IncumplimientosSeccionResponsable from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/IncumplimientosSeccionResponsable.vue";
import Imperdonables from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/Imperdonables.vue";
import NivelCumplimiento from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/NivelCumplimiento.vue";
import Odometro from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/Odometro.vue";
import CalificacionGeografia from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/CalificacionGeografia.vue";
import PuntosVentaAprobados from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/PuntosVentaAprobadosGeografia.vue";
import store from "@/store";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "Component-Disciplinas",
  components: {
    Disciplina,
    Semaforo,
    Incumplimientos,
    IncumplimientosNegocio,
    IncumplimientosSeccionResponsable,
    Imperdonables,
    NivelCumplimiento,
    Odometro,
    CalificacionGeografia,
    PuntosVentaAprobados,
  },
  data() {
    return {
      semaforo: {
        rangos: [
          {
            idRango: 1,
            descripcion: "Insactisfactorio 0 - 69",
            minimo: 0,
            maximo: 69,
            color: "red",
          },
          {
            idRango: 2,
            descripcion: "Requiere Mejora 70 - 89",
            minimo: 70,
            maximo: 89,
            color: "amber accent-2",
          },
          {
            idRango: 3,
            descripcion: "Cumple 90 - 100",
            minimo: 90,
            maximo: 100,
            color: "teal darken-2",
          },
        ],
      },
      disciplinas: [
        {
          title: "Proteccion Civil",
          total: "40%",
          negocios: [
            {
              nombre: "Elektra",
              total: "80%",
              imagen: "https://picsum.photos/350/165?random",
              color: "teal darken-2",
            },
            {
              nombre: "Banco Azteca",
              total: "50%",
              imagen: "https://picsum.photos/350/165?random",
              color: "amber accent-2",
            },
          ],
        },
      ],
      calificacionPromedio: {
        title: "Calificación Promedio",
        color: serviceCommons.getColorVuetifyByName("amber accent-2"),
        total: 49.9,
        values: [{ leyeda: "Puntos de venta evaluados:", value: "196" }],
      },
      porcentajePuntosVentaAprobados: {
        title: "Porcentaje de Puntos de Venta Aprobados",
        color: serviceCommons.getColorVuetifyByName("amber accent-2"),
        total: "61%",
        values: [
          { leyeda: "Porcentaje de Puntos de Venta Aprobados:", value: "61%" },
        ],
      },
      nivelCumplimiento: {
        title: "Nivel de Cumplimiento",
        total: 196,
        leyeda: "Puntos de venta evaluados y porcentajes aprobados",
        values: [
          {
            label: "Cumple",
            value: 119,
            color: serviceCommons.getColorVuetifyByName("teal darken-2"),
          },
          {
            label: "Requiere mejora",
            value: 67,
            color: serviceCommons.getColorVuetifyByName("amber accent-2"),
          },
          {
            label: "No cumple",
            value: 10,
            color: serviceCommons.getColorVuetifyByName("red accent-2"),
          },
        ],
      },
      calificacionGeografia: {
        title: "Calificación por Territorio",
        goal: 90,
        color: "grey",
        graficaLeyends: {
          titles: {
            left: "Escala puntos de venta",
            right: "Escala de calificaciones",
            goal: "Meta",
          },
          categorys: {
            left: "Puntos de venta",
            right: "Calificaciones",
            goal: "Meta",
          },
        },
        values: [
          {
            categoria: "USA",
            valor: 10,
            escala: 30,
          },
          {
            categoria: "China",
            valor: 20,
            escala: 50,
          },
          {
            categoria: "Japan",
            valor: 30,
            escala: 20,
          },
          {
            categoria: "Germany",
            valor: 40,
            escala: 60,
          },
          {
            categoria: "UK",
            valor: 50,
            escala: 40,
          },
          {
            categoria: "France",
            valor: 60,
            escala: 80,
          },
        ],
      },
      puntosVentaAprobadosGeografia: {
        title: "Puntos de Venta Aprobados por Territorio",
        goal: 90,
        color: "grey",
        graficaLeyends: {
          titles: {
            left: "Escala puntos de venta",
            right: "Escala porcentaje",
            goal: "Meta",
          },
          categorys: {
            left: "Puntos de venta aprobados",
            right: "Porcentaje de puntos de venta",
            goal: "Meta",
          },
        },
        values: [
          {
            categoria: "USA",
            valor: 10,
            escala: 30,
          },
          {
            categoria: "China",
            valor: 20,
            escala: 50,
          },
          {
            categoria: "Japan",
            valor: 30,
            escala: 20,
          },
          {
            categoria: "Germany",
            valor: 40,
            escala: 60,
          },
        ],
      },
      calificacionGeografiaGenerico: {
        title: "Calificación por Territorio",
        color: "grey",
        graficaLeyends: {
          titles: {
            left: "Escala puntos de venta",
            right: "Escala de calificaciones",
          },
          categorys: {
            left: "Puntos de venta",
            right: "Calificaciones",
          },
        },
        values: [
          {
            categoria: "USA",
            valor: 10,
            escala: 30,
          },
          {
            categoria: "China",
            valor: 20,
            escala: 50,
          },
          {
            categoria: "Japan",
            valor: 30,
            escala: 20,
          },
          {
            categoria: "Germany",
            valor: 40,
            escala: 60,
          },
          {
            categoria: "UK",
            valor: 50,
            escala: 40,
          },
          {
            categoria: "France",
            valor: 60,
            escala: 80,
          },
        ],
      },
      puntosVentaAprobadosGeografiaGenerico: {
        title: "Puntos de Venta Aprobados por Territorio",
        color: "grey",
        graficaLeyends: {
          titles: {
            left: "Escala puntos de venta",
            right: "Escala porcentaje",
          },
          categorys: {
            left: "Puntos de venta aprobados",
            right: "Porcentaje de puntos de venta",
          },
        },
        values: [
          {
            categoria: "USA",
            valor: 10,
            escala: 30,
          },
          {
            categoria: "China",
            valor: 20,
            escala: 50,
          },
          {
            categoria: "Japan",
            valor: 30,
            escala: 20,
          },
          {
            categoria: "Germany",
            valor: 40,
            escala: 60,
          },
        ],
      },
      incumplimientosNegocio: {
        title: "Top de Incumplimientos",
        negocios: [
          {
            idNegocio: 1,
            descripcion: "Banco Azteca",
            imagen: "https://picsum.photos/350/165?random",
          },
          {
            idNegocio: 2,
            descripcion: "Elektra",
            imagen: "https://picsum.photos/350/165?random",
          },
          {
            idNegocio: 3,
            descripcion: "Areas comunes",
            imagen: "https://picsum.photos/350/165?random",
          },
          {
            idNegocio: 4,
            descripcion: "Otrooo s sd s sd sdsdsds",
            imagen: "https://picsum.photos/350/165?random",
          },
        ],
        values: [
          {
            idNegocio: 1,
            puntosVenta: 55,
            porcentaje: "28%",
            descripcion:
              "¿Se cuenta con pedestal digital instalado en el piso bancario y éste cuenta con tableta funcionando correctamente? (I)",
          },
          {
            idNegocio: 2,
            puntosVenta: 50,
            porcentaje: "26%",
            descripcion:
              "¿El mobiliario del búnker se encuentra en buen estado? (I)",
          },
          {
            idNegocio: 3,
            puntosVenta: 44,
            porcentaje: "22%",
            descripcion:
              "¿Se cuenta con carpeta normativa en formato físico y están actualizados los documentos? (I)",
          },
        ],
      },
      incumplimientos: {
        title: "Top de Incumplimientos",
        values: [
          {
            ponderacion: "4%",
            puntosVenta: 109,
            impacto: 4.36,
            descripcion:
              "¿El personal de la sucursal sabe que es una incidencia?",
          },
          {
            ponderacion: "5%",
            puntosVenta: 105,
            impacto: 4.2,
            descripcion:
              "¿El personal de la sucursal sabe dónde se encuentran ubicados los protocolos de continuidad del negocio?",
          },
          {
            ponderacion: "4%",
            puntosVenta: 96,
            impacto: 3.84,
            descripcion:
              "¿El personal de la sucursal sabe que es una contingencia?",
          },
        ],
      },
      incumplimientosSeccionResponsable: {
        title: "Top 3 de Incumplimientos por Sección Responsable",
        secciones: [
          { idSeccion: 1, descripcion: "Banco Azteca" },
          { idSeccion: 2, descripcion: "Elektra" },
          { idSeccion: 3, descripcion: "Areas comunes" },
          { idSeccion: 4, descripcion: "Otrooo s sd s sd sdsdsds" },
        ],
        responsables: [
          { idResponsable: 1, descripcion: "Red Única" },
          { idResponsable: 2, descripcion: "Areas de servicio" },
        ],
        values: [
          {
            idSeccion: 1,
            idResponsable: 1,
            total: 24,
            porcentaje: "12%",
            descripcion:
              "¿Se cuenta con folio de reporte para la falla en el pedestal digital? (RU)",
          },
          {
            idSeccion: 2,
            idResponsable: 1,
            total: 19,
            porcentaje: "10%",
            descripcion:
              "¿La señalización del patiobancario se encuentra ordenada y vigente? (RU)",
          },
          {
            idSeccion: 3,
            idResponsable: 2,
            total: 14,
            porcentaje: "14%",
            descripcion:
              "¿Los escritorios de los Asesores Financieros están ordenados y limpios? (RU)",
          },
        ],
      },
      imperdonables: {
        title: "Imperdonables",
        total: 24,
        values: [
          {
            total: 3,
            descripcion:
              "El personal de la sucursal porta el uniforme sucio y/o roto",
          },
          {
            total: 7,
            descripcion:
              "El personal de la sucursal mezcla elementos de otros uniformes",
          },
          {
            total: 17,
            descripcion:
              "El personal de la sucursal porta prendas ajenas al uniforme",
          },
        ],
      },
    };
  },
};
</script>
